> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Create brand profiles

POST https://demo.docusign.net/restapi/v2/accounts/{accountId}/brands
Content-Type: application/json

Creates one or more brand profile files for the account. The Account Branding feature (accountSettings properties `canSelfBrandSend` and `canSelfBrandSig`) must be set to **true** for the account to use this call.

An error is returned if `brandId` property for a brand profile is already set for the account. To upload a new version of an existing brand profile, you must delete the profile and then upload the newer version.

When brand profile files are being uploaded, they must be combined into one zip file and the `Content-Type` must be `application/zip`.

Reference: https://developers.docusign.com/docs/esign-rest-api/v2/reference/accounts/accountbrands/create

## Authentication

- `Authorization` header (required) — OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer \<token>.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account id GUID.

### Body (application/json)

This endpoint expects a brand.

- `brandCompany` (string, optional) — The name of the company associated with this brand.
- `brandId` (string, optional) — The ID used to identify a specific brand in API calls.
- `brandName` (string, optional) — The name of the brand.
- `colors` (list of nameValue, optional)
- `emailContent` (list of brandEmailContent, optional)
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `isOverridingCompanyName` (string, optional)
- `isSendingDefault` (string, optional)
- `isSigningDefault` (string, optional)
- `landingPages` (list of nameValue, optional)
- `links` (list of brandLink, optional)
- `logos` (brandLogos, optional)
- `resources` (brandResourceUrls, optional)

## Response

### 201

Successful response.

- `brands` (list of brand, optional) — The list of brands.
- `recipientBrandIdDefault` (string, optional) — The brand seen by envelope recipients when a brand is not explicitly set.
- `senderBrandIdDefault` (string, optional) — The brand seen by envelope senders when a brand is not explicitly set.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

## Types

### nameValue

- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `name` (string, optional) — The name or key of a name/value pair.
- `originalValue` (string, optional) — The initial value of the tab when it was sent to the recipient.
- `value` (string, optional) — The value field of a name/value pair.

### brandEmailContent

- `content` (string, optional)
- `emailContentType` (string, optional)
- `emailToLink` (string, optional)
- `linkText` (string, optional)

### errorDetails

This object describes errors that occur. It is only valid for responses, and ignored in requests.

- `errorCode` (string, optional) — An error code associated with the error.
- `message` (string, optional) — A short error message.

### brandLink

- `linkText` (string, optional)
- `linkType` (string, optional)
- `showLink` (string, optional)
- `urlOrMailTo` (string, optional)

### brandLogos

- `email` (string, optional)
- `primary` (string, optional)
- `secondary` (string, optional)

### brandResourceUrls

- `email` (string, optional)
- `sending` (string, optional)
- `signing` (string, optional)
- `signingCaptive` (string, optional)

### brand

- `brandCompany` (string, optional) — The name of the company associated with this brand.
- `brandId` (string, optional) — The ID used to identify a specific brand in API calls.
- `brandName` (string, optional) — The name of the brand.
- `colors` (list of nameValue, optional)
- `emailContent` (list of brandEmailContent, optional)
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `isOverridingCompanyName` (string, optional)
- `isSendingDefault` (string, optional)
- `isSigningDefault` (string, optional)
- `landingPages` (list of nameValue, optional)
- `links` (list of brandLink, optional)
- `logos` (brandLogos, optional)
- `resources` (brandResourceUrls, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "brands": [
    {
      "brandCompany": "string",
      "brandId": "string",
      "brandName": "string",
      "colors": [
        {
          "errorDetails": {
            "errorCode": "string",
            "message": "string"
          },
          "name": "string",
          "originalValue": "string",
          "value": "string"
        }
      ],
      "emailContent": [
        {
          "content": "string",
          "emailContentType": "string",
          "emailToLink": "string",
          "linkText": "string"
        }
      ],
      "errorDetails": {
        "errorCode": "string",
        "message": "string"
      },
      "isOverridingCompanyName": "string",
      "isSendingDefault": "string",
      "isSigningDefault": "string",
      "landingPages": [
        {
          "errorDetails": {
            "errorCode": "string",
            "message": "string"
          },
          "name": "string",
          "originalValue": "string",
          "value": "string"
        }
      ],
      "links": [
        {
          "linkText": "string",
          "linkType": "string",
          "showLink": "string",
          "urlOrMailTo": "string"
        }
      ],
      "logos": {
        "email": "string",
        "primary": "string",
        "secondary": "string"
      },
      "resources": {
        "email": "string",
        "sending": "string",
        "signing": "string",
        "signingCaptive": "string"
      }
    }
  ],
  "recipientBrandIdDefault": "string",
  "senderBrandIdDefault": "string"
}
```